Bug 697559 - all GWT service interface methods must explicitly declares throws runtime exception
all GWT service interface methods must explicitly declares throws runtime exc...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta1
Unspecified Unspecified
urgent Severity high (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-04-18 11:30 EDT by John Mazzitelli
Modified: 2011-05-23 21:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:09:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-04-18 11:30:44 EDT
In order for GWT to properly propogate exceptions from server to client via our GWT Service design, we must ensure all GWT Service interface methods explicitly declare "throws RuntimeException". If they do not, GWT will not expect exceptions and you'll get the nebulous exception message from GWT :

com.google.gwt.user.client.rpc.StatusCodeException:The call failed on the server; see server log for details

If we declare that the interface throws exceptions, we'll get the actual exception messages at least, which should be more helpful to users to determine what happened and possibly how to fix.

I see this in SystemGWTService - I will fix those. We need to go through all other interfaces and fix. Note this is the INTERFACES that have to have this declaration.
Comment 1 Charles Crouch 2011-04-18 19:42:15 EDT
I think this is a must have in order to get useful feedback post release
Comment 2 John Mazzitelli 2011-04-19 11:07:53 EDT
commit: 36f7955cde61d7c306317e5b7fc8b7c93ee252a7

nothing for QA to do , this is a code level change only.
Comment 3 Corey Welton 2011-05-23 21:09:50 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.